Method: projects.instances.tables.restore

Create a new table by restoring from a completed backup. The returned table long-running operation can be used to track the progress of the operation, and to cancel it. The metadata field type is RestoreTableMetadata. The response type is Table, if successful.

HTTP request

POST https://bigtableadmin.googleapis.com/v2/{parent=projects/*/instances/*}/tables:restore

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The name of the instance in which to create the restored table. Values are of the form projects/<project>/instances/<instance>.

Authorization requires the following IAM permission on the specified resource parent:

  • bigtable.tables.create

Request body

The request body contains data with the following structure:

JSON representation
{
  "tableId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "backup": string
  // End of mutually exclusive fields.
}
Fields
tableId

string

Required. The id of the table to create and restore to. This table must not already exist. The tableId appended to parent forms the full table name of the form projects/<project>/instances/<instance>/tables/<tableId>.

Required. The source from which to restore. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
backup

string

Name of the backup from which to restore. Values are of the form projects/<project>/instances/<instance>/clusters/<cluster>/backups/<backup>.

Authorization requires the following IAM permission on the specified resource backup:

  • bigtable.backups.restore
End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/bigtable.admin
  • https://www.googleapis.com/auth/bigtable.admin.table
  • https://www.googleapis.com/auth/cloud-bigtable.admin
  • https://www.googleapis.com/auth/cloud-bigtable.admin.table
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.